> ## Documentation Index
> Fetch the complete documentation index at: https://guide.chatwize.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch all Sessions

> Fetch the list of sessions for a chatbot specified by chatbot uuid

### Path

<ParamField path="uuid" type="string" required />

### Response

<ResponseField name="" type="object[]">
  Session list

  <Expandable title="Session properties">
    <ResponseField name="created_at" type="string" />

    <ResponseField name="modified_at" type="string" />

    <ResponseField name="uuid" type="string" />

    <ResponseField name="meta" type="meta Object">
      Session meta properties

      <Expandable title="properties">
        <ResponseField name="user" type="user Object">
          Exists when lead form was submitted by user
        </ResponseField>

        <ResponseField name="auth_data" type="auth_data Object">
          Exists when user completes "User Identity Verification" and "Save Data on Success" feature is enabled
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Curl
  curl --location --request GET 'https://app.chatwize.ai/api/v1/chatbot/{uuid}/sessions' \
  --header 'Authorization: Bearer <token>'
  ```

  ```py Python
  import requests

  uuid = '<chatbot-uuid>'
  url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}/sessions'
  headers = {
      'Authorization': 'Bearer <token>'
  }

  response = requests.get(url, headers=headers)

  if response.status_code == 200:
      print("Request successful!")
      print(response.json())
  else:
      print("Request failed with status code:", response.status_code)
      print(response.text)
  ```

  ```ts JavaScript
  const axios = require('axios');

  const uuid = '<chatbot-uuid>'
  const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}/sessions`;
  const headers = {
      'Authorization': 'Bearer <token>'
  };

  axios.get(url, { headers })
      .then(response => {
          console.log('Request successful!');
          console.log(response.data);
      })
      .catch(error => {
          console.error('Request failed:', error);
      });
  ```
</RequestExample>

<ResponseExample>
  ```json Response
  [
      {
          "created_at": "string",
          "modified_at": "string",
          "uuid": "string"
      }
  ]

  ```
</ResponseExample>
